Bug 645604 - Review Request: python-gflags - Commandline flags module for Python
Summary: Review Request: python-gflags - Commandline flags module for Python
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-21 23:14 UTC by Silas Sewell
Modified: 2010-11-29 17:05 UTC (History)
3 users (show)

Fixed In Version: python-gflags-1.4-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-17 23:21:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Silas Sewell 2010-10-21 23:14:26 UTC
Spec:
http://github.com/silas/rpms/raw/master/python-gflags/python-gflags.spec

SRPM:
http://github.com/downloads/silas/rpms/python-gflags-1.4-1.fc13.src.rpm

Description:

This project is the python equivalent of google-gflags, a Google commandline
flag implementation for C++. It is intended to be used in situations where a
project wants to mimic the command-line flag handling of a C++ app that uses
google-gflags, or for a Python app that, via swig or some other means, is
linked with a C++ app that uses google-gflags.

The gflags package contains a library that implements commandline flags
processing. As such it's a replacement for getopt(). It has increased
flexibility, including built-in support for Python types, and the ability to
define flags in the source file in which they're used. (This last is its major
difference from OptParse.)

Comment 1 Thomas Spura 2010-10-22 12:07:09 UTC
- rpmlint:
$ rpmlint ./python-mox-0.5.3-1.fc14.src.rpm ./noarch/python-mox-0.5.3-1.fc14.noarch.rpm 
python-mox.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mox.py 0644L /usr/bin/python2.4
python-mox.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/stubout.py 0644L /usr/bin/python2.4
2 packages and 0 specfiles checked; 2 errors, 0 warnings.

See: http://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries
(althought I'd prefer to remove them in %prep...)

- I'd use the url from the readme:
  http://code.google.com/p/pymox/

- license ok
- %check there
- group ok
- no *.la
- no libs
- noarch ok

- how about the python3 support? ;-)
  It would be nice, if you could open a ticket at upstream:
  http://code.google.com/p/pymox/issues/list

_______________________________________

Please fix at least the shebangs from above before importing.
Rest is ok.
_______________________________________

APPROVED

Comment 2 Thomas Spura 2010-10-22 12:14:18 UTC
Sorry, that review from above was for python-mox...

Doing now another one for this one...

Comment 3 Thomas Spura 2010-10-22 12:21:10 UTC
rpmlint:
$ rpmlint ./python-gflags-1.4-1.fc14.src.rpm ./noarch/python-gflags-1.4-1.fc14.noarch.rpm 
python-gflags.src: W: spelling-error Summary(en_US) Commandline -> Command line, Command-line, Commanding
python-gflags.src: W: spelling-error %description -l en_US google -> Google, goggle, googly
python-gflags.src: W: spelling-error %description -l en_US commandline -> command line, command-line, commanding
python-gflags.src: W: spelling-error %description -l en_US getopt -> get opt, get-opt, getup
python-gflags.src: W: invalid-url Source0: http://python-gflags.googlecode.com/files/python-gflags-1.4.tar.gz HTTP Error 404: Not Found
python-gflags.noarch: W: spelling-error Summary(en_US) Commandline -> Command line, Command-line, Commanding
python-gflags.noarch: W: spelling-error %description -l en_US google -> Google, goggle, googly
python-gflags.noarch: W: spelling-error %description -l en_US commandline -> command line, command-line, commanding
python-gflags.noarch: W: spelling-error %description -l en_US getopt -> get opt, get-opt, getup
python-gflags.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/gflags.py 0644L /usr/bin/env
python-gflags.noarch: W: no-manual-page-for-binary gflags2man
2 packages and 0 specfiles checked; 1 errors, 10 warnings.


Please fix the non-excecutable-script error, see:
http://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries

The rest is ignorable (invalid-url is false positive).

- license ok
- no libs
- no *.la
- rest also ok

___________________________

Please fix the non-executable-script error before importing.

___________________________


APPROVED

___________________________

Comment 4 Silas Sewell 2010-10-26 18:10:08 UTC
Fixed above mentioned issue.

SRPM:
http://github.com/downloads/silas/rpms/python-gflags-1.4-2.fc13.src.rpm

Comment 5 Silas Sewell 2010-10-26 18:11:40 UTC
New Package CVS Request
=======================
Package Name: python-gflags
Short Description: Commandline flags module for Python
Owners: silas
Branches: F-13 F-14 EL-5 EL-6
InitialCC:

Comment 6 Jens Petersen 2010-10-28 09:26:22 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2010-11-04 16:59:56 UTC
python-gflags-1.4-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-gflags-1.4-2.fc14

Comment 8 Fedora Update System 2010-11-04 17:00:35 UTC
python-gflags-1.4-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-gflags-1.4-2.fc13

Comment 9 Fedora Update System 2010-11-04 17:01:19 UTC
python-gflags-1.4-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-gflags-1.4-2.el5

Comment 10 Fedora Update System 2010-11-05 22:51:56 UTC
python-gflags-1.4-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-gflags'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-gflags-1.4-2.fc13

Comment 11 Fedora Update System 2010-11-17 23:21:36 UTC
python-gflags-1.4-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-11-17 23:22:45 UTC
python-gflags-1.4-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-11-29 17:05:28 UTC
python-gflags-1.4-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.